jQuery( document ).ready( function ( $ ) {
	"use strict";

	// Show/hide settings for post format when choose post format
	var $format = $( '#post-formats-select' ).find( 'input.post-format' ),
		$formatBox = $( '#post-format-settings' );

	$format.on( 'change', function () {
		var type = $(this).filter(':checked').val();
		postFormatSettings(type);
	} );
	$format.filter( ':checked' ).trigger( 'change' );

	$(document.body).on('change', '.editor-post-format .components-select-control__input', function () {
		var type = $(this).val();
		postFormatSettings(type);
	});

	$(window).on('load', function () {
		var $el = $(document.body).find('.editor-post-format .components-select-control__input'),
			type = $el.val();
		postFormatSettings(type);
	});

	function postFormatSettings(type) {
		$formatBox.hide();
		if ($formatBox.find('.rwmb-field').hasClass(type)) {
			$formatBox.show();
		}

		$formatBox.find('.rwmb-field').slideUp();
		$formatBox.find('.' + type).slideDown();
	}

	// Show/hide settings for custom layout settings
	$( '#custom_layout' ).on( 'change', function () {
		if ( $( this ).is( ':checked' ) ) {
			$( '.rwmb-field.custom-layout' ).slideDown();
		}
		else {
			$( '.rwmb-field.custom-layout' ).slideUp();
		}
	} ).trigger( 'change' );

	// Show/hide settings for custom page header layout settings
	$( '#custom_page_header_layout' ).on( 'change', function () {
		if ( $( this ).is( ':checked' ) ) {
			$( '.rwmb-field.page-header-layout' ).slideDown();
		}
		else {
			$( '.rwmb-field.page-header-layout' ).slideUp();
		}
	} ).trigger( 'change' );

	// Show/hide settings for template settings
	$( '#page_template' ).on( 'change', function () {
		pageSettings( $( this ) );
	} ).trigger( 'change' );

	$(document.body).on('change', '.editor-page-attributes__template .components-select-control__input', function () {
		pageSettings($(this));
	});

	$(window).on('load', function () {
		var $el = $(document.body).find('.editor-page-attributes__template .components-select-control__input');
		pageSettings($el);
	});

	function pageSettings( $el ) {
		if ( $el.val() == 'template-homepage.php' ||
			$el.val() == 'template-home-boxed.php' ||
			$el.val() == 'template-coming-soon-page.php'
		) {
			$( '#page-header-settings' ).hide();
			$( '#header-video' ).show();
		} else {
			$( '#page-header-settings' ).show();
			$( '#header-video' ).hide();
		}

		if ( $el.val() == 'template-homepage.php' ||
			$el.val() == 'template-fullwidth.php' ||
			$el.val() == 'template-home-boxed.php' ||
			$el.val() == 'template-coming-soon-page.php'
		) {
			$( '#display-settings' ).hide();
		} else {
			$( '#display-settings' ).show();
		}
	}

	// Show/hide settings for Header Video settings
	$( '#background_type' ).on( 'change', function () {

		if ( $( this ).val() == 'video' ) {
			$( '.rwmb-field.video_url' ).slideDown();
			$( '.rwmb-field.background_image' ).slideUp();
			$( '.rwmb-field.shortcode' ).slideUp();

		} else if ( $( this ).val() == 'image' ) {
			$( '.rwmb-field.video_url' ).slideUp();
			$( '.rwmb-field.background_image' ).slideDown();
			$( '.rwmb-field.shortcode' ).slideUp();

		} else if ( $( this ).val() == 'revslider' ) {
			$( '.rwmb-field.video_url' ).slideUp();
			$( '.rwmb-field.background_image' ).slideUp();
			$( '.rwmb-field.shortcode' ).slideDown();
		}

	} ).trigger( 'change' );
} );
