var wc_add_to_cart_variation_params = wc_add_to_cart_variation_params || {};
var baroqueData = baroqueData || {};

(function ( $ ) {
	'use strict';

	var baroque = baroque || {};
	baroque.init = function () {
		baroque.$body = $( document.body ),
			baroque.$window = $( window ),
			baroque.$header = $( '#masthead' ),
			baroque.ajaxXHR = null;

		// Scroll
		this.scrollTop();
		this.scrollSection();
		this.removeCss();
		this.vcRow();

		// Header
		this.canvasPanel();
		this.menuSideBar();
		this.stickyHeader();

		// Parallax
		this.parallax();

		// Single Portfolio
		this.singlePortfolioGallery();
		this.imagesPopUp();

		// Portfolio
		this.portfolioMasonry();
		this.portfolioParallax();
		this.portfolioCarousel();
		this.portfolioLoadingAjax();
		this.portfolioFilterAjax();

		// Woocommerce
		this.productQuantity();
		this.shopLoadingAjax();
		this.singleProductCarousel();
		this.productThumbnailSlick();
		this.productGallery();
		this.productVariation();
		this.tooltip();
		this.loginTab();
		this.filterAjax();

		// Blog
		this.blogLayout();
		this.blogLoadingAjax();
		this.blogFilterAjax();

		// Gallery
		this.singleGallery();

		// Footer
		this.fixedFooter();
		this.preload();
	};

	// VC Row
	baroque.vcRow = function () {
		if ( baroqueData.isRTL !== '1' ) {
			return;
		}

		$( document ).on( 'vc-full-width-row-single', function ( event, data ) {
			data.el.css( {
				left : 'auto',
				right: data.offset
			} );
		} );
	};

	// Custom Class
	baroque.removeCss = function () {
		$( '#menu-sidebar-panel .section-menu-secondary' ).on( 'click', 'a', function () {
			baroque.$body.removeClass( 'open-canvas-panel' );
			$( '#menu-sidebar-panel' ).removeClass( 'open' );
		} );

		baroque.$window.on( 'resize', function () {
			if ( baroque.$window.width() >= 1200 ) {
				var height = $( '.single-portfolio-layout-2 .entry-thumbnail' ).height();

				$( '.single-portfolio-layout-2 .entry-summary' ).css({
						height: height * 80 / 100
				});
			}
		} );
	};

	// Scroll Top
	baroque.scrollTop = function () {
		var $scrollTop = $( '#scroll-top' );
		baroque.$window.on('scroll', function () {
			if ( baroque.$window.scrollTop() > baroque.$window.height() ) {
				$scrollTop.addClass( 'show-scroll' );
			} else {
				$scrollTop.removeClass( 'show-scroll' );
			}
		} );

		// Scroll effect button top
		$scrollTop.on( 'click', function ( event ) {
			event.preventDefault();
			$( 'html, body' ).stop().animate( {
					scrollTop: 0
				},
				800
			);
		} );
	};

	// Page header
	baroque.parallax = function () {
		if ( baroque.$window.width() < 1200 ) {
			return;
		}

		$( '.portfolio-thumbnail-wrapper .featured-image' ).parallax( '50%', 0.6 );
		$( '.baroque-post-featured .featured-image' ).parallax( '50%', 0.6 );
		$( '.baroque-catalog-page .featured-image' ).parallax( '50%', 0.6 );
	};

	// Scroll Section
	baroque.scrollSection = function () {
		$( '.menu-area' ).on( 'click', 'a', function ( e ) {
			var target = this.hash;

			if ( target !== '' ) {
				if ( $( target ).length > 0 ) {
					e.preventDefault();
					baroque.sectionTarget( target );
				}
			}
		} );
	};

	// Section target
	baroque.sectionTarget = function ( target ) {
		var headerH = baroque.$header.outerHeight(),
			headerTop = baroque.$header.position().top,
			top = 0;

		if ( baroque.$window.width() <= 768 ) {
			headerTop = 0;
			headerH = baroque.$header.find( '.site-logo' ).height();
		}

		if ( target != null ) {
			var $section = $( target );
			if ( $section.length > 0 ) {
				var topSection = $section.offset().top;
				top = topSection - headerH - headerTop;
			}
		}

		$( 'html, body' ).stop().animate( {
				scrollTop: top
			},
			1200, 'easeInOutExpo'
		);
	};

	// Off Canvas Panel
	baroque.canvasPanel = function () {

		baroque.$header.on( 'click', '#icon-menu-sidebar', function ( e ) {
			e.preventDefault();
			baroque.$body.addClass( 'open-canvas-panel' );
			$( '#menu-sidebar-panel' ).addClass( 'open' );
		} );

		baroque.$body.on( 'click', '#off-canvas-layer, .close-canvas-panel', function ( e ) {
			e.preventDefault();

			baroque.$body.removeClass( 'open-canvas-panel' );
			$( '#menu-sidebar-panel' ).removeClass( 'open' );
		} );
	};

	// Toggle Menu Sidebar
	baroque.menuSideBar = function () {
		$( '#menu-sidebar-panel' ).find( 'li.menu-item-has-children > a' ).on( 'click', function ( e ) {
			e.preventDefault();

			$( this ).closest( 'li' ).siblings().find( 'ul.sub-menu' ).slideUp();
			$( this ).closest( 'li' ).siblings().removeClass( 'active' );

			$( this ).closest( 'li' ).children( 'ul.sub-menu' ).slideToggle();
			$( this ).closest( 'li' ).toggleClass( 'active' );

		} );
	};

	// Sticky Header
	baroque.stickyHeader = function () {

		if ( !baroque.$body.hasClass( 'header-sticky' ) ) {
			return;
		}

		if ( baroque.$body.hasClass( 'page-template-template-coming-soon-page' ) ) {
			return;
		}

		baroque.$window.on( 'scroll', function () {
			var scrollTop = 20;

			if ( baroque.$window.scrollTop() > scrollTop ) {
				baroque.$header.addClass( 'minimized' );
			} else {
				baroque.$header.removeClass( 'minimized' );
			}
		} );
		baroque.$window.on( 'resize', function () {
			var hHeader = baroque.$header.outerHeight( true ),
				$h = $( '#mf-header-minimized' );

			if ( !baroque.$body.hasClass( 'header-transparent' ) ) {
				$h.height( hHeader );
			}
		} );
	};

	// Blog isotope
	baroque.blogLayout = function () {
		if ( !baroque.$body.hasClass( 'blog-masonry' ) ) {
			return;
		}

		baroque.$body.imagesLoaded( function () {
			baroque.$body.find( '.baroque-post-list' ).isotope( {
				itemSelector: '.blog-masonry-wrapper',
				layoutMode  : 'masonry'
			} );

		} );
	};

	// Loading Ajax
	baroque.blogLoadingAjax = function () {

		if ( !baroque.$body.hasClass( 'baroque-blog-page' ) ) {
			return;
		}

		// Blog page
		baroque.$body.on( 'click', '#baroque-blog-previous-ajax a', function ( e ) {
			e.preventDefault();

			if ( $( this ).data( 'requestRunning' ) ) {
				return;
			}

			$( this ).data( 'requestRunning', true );


			var $posts = $( this ).closest( '.site-main' ),
				$postList = $posts.find( '.baroque-post-list' ),
				$pagination = $( this ).parents( '.navigation' ),
				$parent = $( this ).parent();

			$parent.addClass( 'loading' );

			$.get(
				$( this ).attr( 'href' ),
				function ( response ) {
					var content = $( response ).find( '.baroque-post-list' ).children( '.post-wrapper' ),
						$pagination_html = $( response ).find( '.navigation' ).html();

					$pagination.html( $pagination_html );

					if ( baroque.$body.hasClass( 'blog-masonry' ) ) {
						content.imagesLoaded( function () {
							$postList.append( content ).isotope( 'insert', content );
							$pagination.find( 'a' ).data( 'requestRunning', false );
							$parent.addClass( 'loading' );
						} );
					} else {
						$postList.append( content );
						$pagination.find( 'a' ).data( 'requestRunning', false );
						$parent.addClass( 'loading' );
					}
				}
			);
		} );
	};

	// Filter Ajax
	baroque.blogFilterAjax = function () {

		baroque.$body.find( '#ba-blog-taxs-filter' ).on( 'click', 'a', function ( e ) {
			e.preventDefault();
			$( this ).addClass( 'selected' );
			var url = $( this ).attr( 'href' );
			baroque.$body.trigger( 'baroque_blog_filter_ajax', url, $( this ) );
		} );

		baroque.$body.on( 'baroque_blog_filter_ajax', function ( e, url ) {

			var $container = $( '.ba-blog-content' ),
				$categories = $( '#ba-blog-taxs-filter' ),
				$pageHeader = $( '.blog-page-header' );

			$( '.ba-blog-loading' ).addClass( 'show' );

			if ( '?' == url.slice( -1 ) ) {
				url = url.slice( 0, -1 );
			}

			url = url.replace( /%2C/g, ',' );

			history.pushState( null, null, url );

			if ( baroque.ajaxXHR ) {
				baroque.ajaxXHR.abort();
			}

			baroque.ajaxXHR = $.get( url, function ( res ) {

				$container.replaceWith( $( res ).find( '.ba-blog-content' ) );
				$categories.html( $( res ).find( '#ba-blog-taxs-filter' ).html() );
				$pageHeader.html( $( res ).find( '.blog-page-header' ).html() );

				baroque.blogLoadingAjax();
				baroque.blogLayout();

				$( '.ba-blog-loading' ).removeClass( 'show' );

				baroque.$body.trigger( 'baroque_ajax_filter_request_success', [res, url] );

			}, 'html' );


		} );

	};


	// Portfolio
	baroque.singleGallery = function () {
		$( '.entry-thumbnail .format-gallery' ).slick( {
			rtl           : baroqueData.isRTL === '1',
			infinite      : true,
			slidesToShow  : 1,
			slidesToScroll: 1,
			arrows        : true,
			dots          : false,
			prevArrow     : '<div class="baroque-left-arrow"><i class="icon-chevron-left"></i></div>',
			nextArrow     : '<div class="baroque-right-arrow"><i class="icon-chevron-right"></i></div>',
			responsive    : [
				{
					breakpoint: 769,
					settings  : {
						arrows: false,
						dots  : true
					}
				}
			]
		} );
	};

	baroque.singlePortfolioGallery = function () {
		var $container = $( '.portfolio-slides' ),
			option =  {
				rtl           : baroqueData.isRTL === '1',
				infinite      : false,
				slidesToShow  : 1,
				slidesToScroll: 1,
				arrows        : true,
				dots          : false,
				prevArrow     : '<div class="baroque-left-arrow"><i class="icon-chevron-left"></i></div>',
				nextArrow     : '<div class="baroque-right-arrow"><i class="icon-chevron-right"></i></div>',
				responsive    : [
					{
						breakpoint: 768,
						settings  : {
							arrows: false,
							dots  : true
						}
					}
				]
			};

		if ( $container.hasClass( 'portfolio-fade' ) ) {
			option.fade = true;
			option.cssEase = 'linear';
		}

		$container.slick( option );

		$( '.single-portfolio .portfolio-toggle-content' ).on( 'click', function ( e ) {
			e.preventDefault();

			$( '.entry-summary' ).slideToggle();
		} );

		var height = baroque.$window.height(),
			headerHeight = baroque.$header.height(),
			footerHeight = $( '.site-footer' ).height(),
			elHeight;

		elHeight = height - headerHeight - footerHeight - 40;

		if ( baroque.$body.hasClass( 'admin-bar' ) ) {
			elHeight = elHeight - 32;
		}

		$( '.fixed-portfolio-info' ).css( 'height', elHeight );
	};

	/**
	 *  Gallery Light Box
	 */
	baroque.imagesPopUp = function () {
		var $images = $( '.ba-gallery-popup' );

		if ( !$images.length ) {
			return;
		}

		var $links = $images.find( 'a.photoswipe' ),
			items = [];

		$links.each( function () {
			var $this = $( this ),
				$w = $this.attr( 'data-large_image_width' ),
				$h = $this.attr( 'data-large_image_height' );

			items.push( {
				src: $this.attr( 'href' ),
				w  : $w,
				h  : $h
			} );

		} );

		$images.on( 'click', 'a.photoswipe', function ( e ) {
			e.preventDefault();

			var index = $links.index( $( this ) ),
				options = {
					index              : index,
					bgOpacity          : 0.85,
					showHideOpacity    : true,
					mainClass          : 'pswp--minimal-dark',
					barsSize           : { top: 0, bottom: 0 },
					captionEl          : false,
					fullscreenEl       : false,
					shareEl            : false,
					tapToClose         : true,
					tapToToggleControls: false
				};

			var lightBox = new PhotoSwipe( document.getElementById( 'pswp' ), window.PhotoSwipeUI_Default, items, options );
			lightBox.init();
		} );
	};

	baroque.portfolioMasonry = function () {
		if ( !baroque.$body.hasClass( 'portfolio-masonry' ) ) {
			return;
		}

		baroque.$body.imagesLoaded( function () {
			baroque.$body.find( '.list-portfolio' ).isotope( {
				itemSelector: '.portfolio-wrapper',
				layoutMode  : 'masonry'
			} );

		} );
	};

	baroque.portfolioParallax = function () {
		if ( !baroque.$body.hasClass( 'portfolio-parallax' ) ) {
			return;
		}

		var $section = $( '.portfolio-parallax .list-portfolio' );

		$section.fullpage();
	};

	baroque.portfolioCarousel = function () {
		if ( !baroque.$body.hasClass( 'portfolio-carousel' ) ) {
			return;
		}

		var $section = $( '#baroque-portfolio-carousel-wrapper' ),
			$frame = $section.find( '.portfolio-frame' );
		var options = {
			horizontal    : 1,
			activateOn    : 'click',
			activateMiddle: false,
			itemNav       : 'basic',
			startAt       : 0,
			scrollBar     : $section.find( '.scrollbar' ),
			pagesBar      : $section.find( '.pages' ),
			activatePageOn: 'click',
			speed         : 800,
			easing        : 'easeInOutCubic',
			clickBar      : 1,
			dragHandle    : 1,
			dynamicHandle : 1,
			touchDragging : 1,
			smart         : 1,
			cycleBy       : 'items',
			cycleInterval : 5000,
			pauseOnHover  : 1,
			startPaused   : true,

			// Buttons
			prev: $section.find( '.btn-prev' ),
			next: $section.find( '.btn-next' )
		};

		var $sliders = new Sly( $frame, options );

		$sliders.on( 'load move', function () {
			$section.addClass( 'loaded' );
		} );

		$sliders.init();

		$( window ).on( 'resize', function () {
			var wWidth = $( window ).width(),
				sWidth = wWidth - 40;

			if ( wWidth < 1024 ) {
				sWidth = wWidth - 20;
			}

			if ( wWidth < 1200 ) {
				$( '.list-portfolio' ).find( '.portfolio-wrapper' ).width( sWidth );
			} else {
				$( '.list-portfolio' ).find( '.portfolio-wrapper' ).removeAttr( 'style' );
			}

			$sliders.reload();
		} );
	};

	// Loading Ajax
	baroque.portfolioLoadingAjax = function () {

		if ( !baroque.$body.hasClass( 'baroque-portfolio-page' ) ) {
			return;
		}

		if ( baroque.$body.hasClass( 'portfolio-carousel' ) ) {
			return;
		}

		$( '.baroque-portfolio-page' ).find( '.numeric-navigation' ).on( 'click', '.page-numbers.next', function ( e ) {
			e.preventDefault();

			if ( $( this ).data( 'requestRunning' ) ) {
				return;
			}

			$( this ).data( 'requestRunning', true );

			$( this ).addClass( 'loading' );

			var $project = $( this ).parents( '.numeric-navigation' ).prev( '.list-portfolio' ),
				$pagination = $( this ).parents( '.numeric-navigation' );

			$.get(
				$( this ).attr( 'href' ),
				function ( response ) {
					var content = $( response ).find( '.list-portfolio' ).html(),
						$pagination_html = $( response ).find( '.numeric-navigation' ).html();
					var $content = $( content );

					$pagination.html( $pagination_html );

					if ( baroque.$body.hasClass( 'portfolio-masonry' ) ) {
						$content.imagesLoaded( function () {
							$project.append( $content ).isotope( 'insert', $content );

							$pagination.find( '.page-numbers.next' ).removeClass( 'loading' );
							$pagination.find( '.page-numbers.next' ).data( 'requestRunning', false );
						} );

					} else {
						$project.append( $content );

						$pagination.find( '.page-numbers.next' ).removeClass( 'loading' );
						$pagination.find( '.page-numbers.next' ).data( 'requestRunning', false );
					}

					if ( !$pagination.find( '.page-numbers' ).hasClass( 'next' ) ) {
						$pagination.addClass( 'loaded' );
					}
				}
			);
		} );
	};

	// Filter Ajax
	baroque.portfolioFilterAjax = function () {

		baroque.$body.find( '#ba-portfolio-taxs-filter' ).on( 'click', 'a', function ( e ) {
			e.preventDefault();
			$( this ).addClass( 'selected' );
			var url = $( this ).attr( 'href' );
			baroque.$body.trigger( 'baroque_portfolio_filter_ajax', url, $( this ) );
		} );

		baroque.$body.on( 'baroque_portfolio_filter_ajax', function ( e, url ) {

			var $container = $( '.ba-portfolio-content' ),
				$categories = $( '#ba-portfolio-taxs-filter' ),
				$pageHeader = $( '.portfolio-page-header' );

			$( '.ba-portfolio-loading' ).addClass( 'show' );

			if ( '?' == url.slice( -1 ) ) {
				url = url.slice( 0, -1 );
			}

			url = url.replace( /%2C/g, ',' );

			history.pushState( null, null, url );

			if ( baroque.ajaxXHR ) {
				baroque.ajaxXHR.abort();
			}

			baroque.ajaxXHR = $.get( url, function ( res ) {

				$container.replaceWith( $( res ).find( '.ba-portfolio-content' ) );
				$categories.html( $( res ).find( '#ba-portfolio-taxs-filter' ).html() );
				$pageHeader.html( $( res ).find( '.portfolio-page-header' ).html() );

				baroque.portfolioMasonry();
				baroque.portfolioLoadingAjax();

				$( '.ba-portfolio-loading' ).removeClass( 'show' );

				baroque.$body.trigger( 'baroque_ajax_filter_request_success', [res, url] );

			}, 'html' );


		} );

	};

	/**
	 * Change product quantity
	 */
	baroque.productQuantity = function () {
		baroque.$body.on( 'click', '.quantity .increase, .quantity .decrease', function ( e ) {
			e.preventDefault();

			var $this = $( this ),
				$qty = $this.siblings( '.qty' ),
				current = parseInt( $qty.val(), 10 ),
				min = parseInt( $qty.attr( 'min' ), 10 ),
				max = parseInt( $qty.attr( 'max' ), 10 );

			min = min ? min : 1;
			max = max ? max : current + 1;

			if ( $this.hasClass( 'decrease' ) && current > min ) {
				$qty.val( current - 1 );
				$qty.trigger( 'change' );
			}
			if ( $this.hasClass( 'increase' ) && current < max ) {
				$qty.val( current + 1 );
				$qty.trigger( 'change' );
			}
		} );
	};

	// Loading Ajax
	baroque.shopLoadingAjax = function () {

		// Shop Page
		baroque.$body.on( 'click', '#baroque-shop-infinite-loading a.next', function ( e ) {
			e.preventDefault();

			if ( $( this ).data( 'requestRunning' ) ) {
				return;
			}

			$( this ).data( 'requestRunning', true );

			var $products = $( this ).closest( '.woocommerce-pagination' ).prev( '.products' ),
				$pagination = $( this ).closest( '.woocommerce-pagination' ),
				$parent = $( this ).parents( '#baroque-shop-infinite-loading' );

			$parent.addClass( 'loading' );

			$.get(
				$( this ).attr( 'href' ),
				function ( response ) {
					var content = $( response ).find( 'ul.products' ).children( 'li.product' ),
						$pagination_html = $( response ).find( '.woocommerce-pagination' ).html();

					$pagination.html( $pagination_html );

					$products.append( content );
					$pagination.find( '.page-numbers.next' ).data( 'requestRunning', false );
					$parent.removeClass( 'loading' );
					baroque.$body.trigger( 'baroque_shop_ajax_loading_success' );

					if ( !$pagination.find( 'li .page-numbers' ).hasClass( 'next' ) ) {
						$pagination.addClass( 'loaded' );
					}

					baroque.tooltip();
				}
			);
		} );
	};

	//related & upsell slider
	baroque.singleProductCarousel = function () {

		if ( !baroque.$body.hasClass( 'single-product' ) ) {
			return;
		}
		var $upsells = baroque.$body.find( '.up-sells' ),
			$upsellsProduct = $upsells.find( 'ul.products' ),
			upsellsProductColumns = $upsells.data( 'columns' ),
			$related = baroque.$body.find( '.related.products' ),
			$relatedProduct = $related.find( 'ul.products' ),
			relatedProductColumns = $related.data( 'columns' );

		// Product thumnails and featured image slider
		$upsellsProduct.not( '.slick-initialized' ).slick( {
			slidesToShow  : upsellsProductColumns,
			slidesToScroll: 1,
			lazyLoad      : 'ondemand',
			arrows        : false,
			dots          : true,
			responsive    : [
				{
					breakpoint: 1200,
					settings  : {
						slidesToShow  : 3,
						slidesToScroll: 1
					}
				},
				{
					breakpoint: 767,
					settings  : {
						slidesToShow  : 2,
						slidesToScroll: 1
					}
				}
			]
		} );

		$relatedProduct.not( '.slick-initialized' ).slick( {
			slidesToShow  : relatedProductColumns,
			slidesToScroll: 1,
			arrows        : false,
			lazyLoad      : 'ondemand',
			dots          : true,
			responsive    : [
				{
					breakpoint: 1200,
					settings  : {
						slidesToShow  : 3,
						slidesToScroll: 1
					}
				},
				{
					breakpoint: 767,
					settings  : {
						slidesToShow  : 2,
						slidesToScroll: 1
					}
				}
			]
		} );

	};

	baroque.productThumbnailSlick = function () {

		var $thumbnails = $( '#product-thumbnails' ).find( '.thumbnails' ),
			$images = $( '#product-images' );

		// Product thumnails and featured image slider
		$images.not( '.slick-initialized' ).slick( {
			slidesToShow  : 1,
			slidesToScroll: 1,
			infinite      : false,
			asNavFor      : $thumbnails,
			prevArrow     : '<span class="icon-chevron-left slick-prev-arrow"></span>',
			nextArrow     : '<span class="icon-chevron-right slick-next-arrow"></span>'
		} );

		$thumbnails.not( '.slick-initialized' ).slick( {
			slidesToShow  : 6,
			slidesToScroll: 1,
			asNavFor      : $images,
			focusOnSelect : true,
			vertical      : true,
			arrows        : false,
			infinite      : false,
			prevArrow     : '<span class="icon-chevron-up slick-prev-arrow"></span>',
			nextArrow     : '<span class="icon-chevron-down slick-next-arrow"></span>',
			responsive    : [
				{
					breakpoint: 1024,
					settings  : {
						slidesToShow  : 4,
						slidesToScroll: 1
					}
				},
				{
					breakpoint: 767,
					settings  : {
						slidesToShow  : 3,
						slidesToScroll: 2
					}
				},
				{
					breakpoint: 479,
					settings  : {
						slidesToShow  : 2,
						slidesToScroll: 2
					}
				}
			]
		} );

		$images.imagesLoaded( function () {
			$images.addClass( 'loaded' );
		} );
	};

	/**
	 * Show photoSwipe lightbox
	 */
	baroque.productGallery = function () {
		var $images = $( '#product-images' );

		if ( !$images.length ) {
			return;
		}

		var $links = $images.find( 'a.photoswipe' );

		$images.on( 'click', 'a.photoswipe', function ( e ) {
			e.preventDefault();

			var items = [];

			$links.each( function () {
				var $a = $( this );
				if ( $a.hasClass( 'video' ) ) {
					items.push( {
						html: $a.data( 'href' )
					} );

				} else {
					items.push( {
						src: $a.attr( 'href' ),
						w  : $a.find( 'img' ).attr( 'data-large_image_width' ),
						h  : $a.find( 'img' ).attr( 'data-large_image_height' )
					} );
				}

			} );

			var index = $links.index( $( this ) ),
				options = {
					index              : index,
					bgOpacity          : 0.85,
					showHideOpacity    : true,
					mainClass          : 'pswp--minimal-dark',
					barsSize           : { top: 0, bottom: 0 },
					captionEl          : false,
					fullscreenEl       : false,
					shareEl            : false,
					tapToClose         : true,
					tapToToggleControls: false
				};

			var lightBox = new PhotoSwipe( document.getElementById( 'pswp' ), window.PhotoSwipeUI_Default, items, options );
			lightBox.init();
		} );
	};

	// Style Variation
	baroque.productVariation = function () {
		// soopas_variation_swatches_form
		baroque.$body.on( 'tawcvs_initialized', function () {
			$( '.variations_form' ).unbind( 'tawcvs_no_matching_variations' );
			$( '.variations_form' ).on( 'tawcvs_no_matching_variations', function ( event, $el ) {
				event.preventDefault();
				$el.addClass( 'selected' );

				$( '.variations_form' ).find( '.woocommerce-variation.single_variation' ).show();
				if ( typeof wc_add_to_cart_variation_params !== 'undefined' ) {
					$( '.variations_form' ).find( '.single_variation' ).slideDown( 200 ).html( '<p>' + wc_add_to_cart_variation_params.i18n_no_matching_variations_text + '</p>' );
				}
			} );

		} );

		$( document ).on( 'found_variation', 'form.variations_form', function ( event ) {
			event.preventDefault();
			$( '#product-images' ).slick( 'slickGoTo', 0, true );

		} ).on( 'reset_image', function () {
			$( '#product-images' ).slick( 'slickGoTo', 0, true );

		} );

		$( '.variations_form' ).find( 'td.value' ).each( function () {
			if ( !$( this ).find( '.variation-selector' ).hasClass( 'hidden' ) ) {
				$( this ).addClass( 'show-select' );
			} else {
				$( this ).prev().addClass( 'show-label' );
			}
		} );
	};

	/**
	 * Init tooltip
	 */
	baroque.tooltip = function () {
		$( 'ul.products li.product .un-product-thumbnail .footer-button a' ).penTip();
	};

	baroque.loginTab = function () {
		var $tabs = $( '.baroque-tabs' ),
			$el = $tabs.find( '.tabs-nav a' ),
			$panels = $tabs.find( '.tabs-panel' );
		$el.on( 'click', function ( e ) {
			e.preventDefault();

			var $tab = $( this ),
				index = $tab.parent().index();

			if ( $tab.hasClass( 'active' ) ) {
				return;
			}

			$tabs.find( '.tabs-nav a' ).removeClass( 'active' );
			$tab.addClass( 'active' );
			$panels.removeClass( 'active' );
			$panels.filter( ':eq(' + index + ')' ).addClass( 'active' );
		} );
	};

	// Filter Ajax
	baroque.filterAjax = function () {

		$( document.body ).on( 'price_slider_change', function () {
			var form = $( '.price_slider' ).closest( 'form' ).get( 0 ),
				$form = $( form ),
				url = $form.attr( 'action' ) + '?' + $form.serialize();

			$( document.body ).trigger( 'baroque_catelog_filter_ajax', url, $( this ) );
		} );

		baroque.$body.find( '#ba-shop-toolbar' ).find( '.woocommerce-ordering' ).on( 'click', 'a', function ( e ) {
			e.preventDefault();
			$( this ).addClass( 'active' );
			var url = $( this ).attr( 'href' );
			$( document.body ).trigger( 'baroque_catelog_filter_ajax', url, $( this ) );
		} );

		baroque.$body.find( '#ba-catalog-taxs-filter' ).on( 'click', 'a', function ( e ) {
			e.preventDefault();
			$( this ).addClass( 'selected' );
			var url = $( this ).attr( 'href' );
			$( document.body ).trigger( 'baroque_catelog_filter_ajax', url, $( this ) );
		} );

		baroque.$body.find( '.shop-sidebar' ).on( 'click', 'a', function ( e ) {
			var $widget = $( this ).closest( '.widget' );
			if ( $widget.hasClass( 'widget_product_tag_cloud' ) ||
				$widget.hasClass( 'widget_product_categories' ) ||
				$widget.hasClass( 'widget_layered_nav_filters' ) ||
				$widget.hasClass( 'widget_layered_nav' ) ||
				$widget.hasClass( 'product-sort-by' ) ||
				$widget.hasClass( 'baroque-price-filter-list' ) ) {
				e.preventDefault();
				$( this ).closest( 'li' ).addClass( 'chosen' );
				var url = $( this ).attr( 'href' );
				$( document.body ).trigger( 'baroque_catelog_filter_ajax', url, $( this ) );
			}

			if ( $widget.hasClass( 'widget_product_tag_cloud' ) ) {
				$( this ).addClass( 'selected' );
			}

			if ( $widget.hasClass( 'product-sort-by' ) ) {
				$( this ).addClass( 'active' );
			}
		} );

		$( document.body ).on( 'baroque_catelog_filter_ajax', function ( e, url ) {

			var $container = $( '#ba-shop-content' ),
				$container_nav = $( '#primary-sidebar' ),
				$categories = $( '#ba-catalog-taxs-filter' ),
				$ordering = $( '.shop-toolbar .woocommerce-ordering' ),
				$found = $( '.shop-toolbar .product-found' ),
				$pageHeader = $( '.catalog-page-header' );

			$( '.ba-catalog-loading' ).addClass( 'show' );

			if ( '?' == url.slice( -1 ) ) {
				url = url.slice( 0, -1 );
			}

			url = url.replace( /%2C/g, ',' );

			history.pushState( null, null, url );

			if ( baroque.ajaxXHR ) {
				baroque.ajaxXHR.abort();
			}

			baroque.ajaxXHR = $.get( url, function ( res ) {

				$container.replaceWith( $( res ).find( '#ba-shop-content' ) );
				$container_nav.html( $( res ).find( '.catalog-sidebar' ).html() );
				$categories.html( $( res ).find( '#ba-catalog-taxs-filter' ).html() );
				$ordering.html( $( res ).find( '.shop-toolbar .woocommerce-ordering' ).html() );
				$found.html( $( res ).find( '.shop-toolbar .product-found' ).html() );
				$pageHeader.html( $( res ).find( '.catalog-page-header' ).html() );

				baroque.tooltip();

				$( '.ba-catalog-loading' ).removeClass( 'show' );

				$( document.body ).trigger( 'baroque_ajax_filter_request_success', [res, url] );

			}, 'html' );


		} );

	};

	// Fixed Footer
	baroque.fixedFooter = function () {

		if ( $( '.site-footer' ).length <= 0 ) {
			return;
		}

		//if ( baroque.$body.height() < baroque.$window.height() ) {
		//	return;
		//}

		if ( !baroque.$body.hasClass( 'footer-fixed' ) ) {
			return;
		}

		if ( baroque.$body.hasClass( 'single-portfolio-layout-3' ) ) {
			return;
		}

		if ( baroque.$body.hasClass( 'portfolio-parallax' ) ) {
			return;
		}

		baroque.$window.on( 'resize', function () {
			var $footer = $( '.site-footer' ),
				fHeight = $footer.outerHeight( true ),
				wHeight = baroque.$window.height(),
				pBottom = 0;

			if ( fHeight > wHeight ) {
				$footer.addClass( 'no-sticky' );
			} else {
				$footer.removeClass( 'no-sticky' );
				pBottom = fHeight;
			}

			if ( baroque.$window.width() <= 1200 ) {
				pBottom = 0;
			}

			baroque.$body.css( 'margin-bottom', pBottom );

		} ).trigger( 'resize' );

	};

	/**
	 * Add page preloader
	 */
	baroque.preload = function () {
		var $preloader = $( '#preloader' );

		if ( !$preloader.length ) {
			return;
		}

		baroque.$window.on( 'beforeunload', function () {
			$preloader.fadeIn( 'slow' );
		} );

		baroque.$window.on( 'pageshow', function () {
			$preloader.fadeOut( 100, function () {
				$preloader.addClass( 'out loading' );
			} );
		} );
	};

	/**
	 * Document ready
	 */
	$( function () {
		baroque.init();
	} );

})( jQuery );
