<?php
/**
 * @package Baroque
 */

$size           = 'baroque-blog-classic';
$excerpt_length = intval( baroque_get_option( 'excerpt_length' ) );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="blog-wrapper">
		<?php if ( has_post_thumbnail() ) : ?>
			<div class="entry-thumbnail">
				<a class="blog-thumb" href="<?php the_permalink() ?>"><?php the_post_thumbnail( $size ) ?></a>
				<a href="<?php the_permalink() ?>" class="read-more">
					<?php echo apply_filters( 'baroque_search_read_more_text', esc_html__( 'MORE', 'baroque' ) ); ?>
					<i class="icon-plus"></i>
				</a>
			</div>
		<?php endif; ?>

		<div class="entry-summary">
			<div class="entry-header">
				<div class="entry-meta">
					<?php baroque_entry_meta() ?>
				</div><!-- .entry-meta -->
				<h2 class="entry-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>

				<div class="entry-excerpt"><?php baroque_content_limit( $excerpt_length, '' ); ?></div>
			</div>

		</div><!-- .entry-content -->
	</div>
</article><!-- #post-## -->
