<?php
/**
 * @package Baroque
 */

$size = 'baroque-blog-grid';
$css_class = 'post-wrapper col-md-4 col-sm-6 col-xs-12';

?>

<div id="post-<?php the_ID(); ?>" <?php post_class( $css_class ); ?>>
	<div class="blog-wrapper">
		<?php if ( has_post_thumbnail() ) : ?>
			<div class="entry-thumbnail">
				<a class="blog-thumb" href="<?php the_permalink() ?>"><?php the_post_thumbnail( $size ) ?></a>
				<a href="<?php the_permalink() ?>" class="read-more">
					<?php echo apply_filters( 'baroque_service_read_more_text', esc_html__( 'MORE', 'baroque' ) ); ?>
					<i class="icon-plus"></i>
				</a>
			</div>
		<?php endif; ?>

		<div class="entry-summary">
			<div class="entry-header">
				<div class="entry-meta">
					<?php
					$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';

					$time_string = sprintf(
						$time_string,
						esc_attr( get_the_date( 'c' ) ),
						esc_html( get_the_date() )
					);
					echo '<span class="meta date">' . $time_string . '</span>';
					?>
				</div><!-- .entry-meta -->
				<h2 class="entry-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
			</div>
		</div><!-- .entry-content -->
	</div>
</div>
