<?php
/**
 * @package Baroque
 */

$portfolio_layout = baroque_get_option( 'single_portfolio_layout' );

if ( get_post_meta( get_the_ID(), 'custom_portfolio_layout', true ) ) {
	$portfolio_layout = get_post_meta( get_the_ID(), 'portfolio_layout', true );
}

$class = '';

if ( $portfolio_layout == '2' ) {
	$class = 'container';
}

?>

<div <?php post_class( $class ) ?>>

	<?php
	/*
	 *  baroque_portfolio_header - 10
	 */
	do_action( 'baroque_before_single_portfolio_content' );
	?>

	<?php if ( $portfolio_layout == '1' || $portfolio_layout == '4' ) : ?>

		<?php the_content(); ?>

	<?php else : ?>
	<div class="entry-summary">
		<div class="portfolio-info-wrapper">
		<?php if ( $portfolio_layout == '2' ) { ?>
			<a class="portfolio-toggle-content" href="#">
				<?php echo apply_filters( 'baroque_portfolio_show_content', esc_html__( 'HIDE INFORMATION', 'baroque' ) ); ?>
				<i class="icon-minus"></i>
			</a>
		<?php } ?>
		<?php the_title( '<h2 class="entry-title">','</h2>' ); ?>
		<div class="excerpt"><?php the_excerpt(); ?></div>
		<?php echo baroque_portfolio_meta(); ?>

		</div>
	</div>

	<?php endif; ?>

	<?php
	/*
	 *  baroque_portfolio_footer - 10
	 *  baroque_portfolio_button - 20
	 */
	do_action( 'baroque_after_single_portfolio_content' );
	?>
</div>
