<?php
/**
 * Template part for displaying header transparent.
 *
 * @package Baroque
 */
?>

<div class="header-main">
	<div class="site-logo first-el">
		<?php get_template_part( 'parts/logo' ); ?>
	</div>

	<div class="site-intro second-el">
		<div class="site-intro-content">
			<nav class="secondary-menu menu-area">
				<?php
				if ( has_nav_menu( 'secondary' ) ) {
					wp_nav_menu(
						array(
							'theme_location' => 'secondary',
							'container'      => false,
							'walker'         => new Baroque_Mega_Menu_Walker()
						)
					);
				}
				?>
			</nav>
			<div class="header-info">
				<?php
				if ( is_active_sidebar( 'header-info' ) ) {
					ob_start();
					dynamic_sidebar( 'header-info' );
					$output = ob_get_clean();

					echo apply_filters( 'baroque_header_info_v3', $output );
				}
				?>
			</div>
		</div>
	</div>

	<div class="site-menu third-el">
		<ul class="extra-menu">
			<?php baroque_extra_language(); ?>
			<?php baroque_extra_cart(); ?>
			<?php baroque_menu_icon(); ?>
		</ul>
	</div>
</div>

