<?php
/**
 * Hooks for template single portfolio thumbnail
 *
 * @package Baroque
 */

$layout = baroque_get_option( 'single_portfolio_layout' );

if ( get_post_meta( get_the_ID(), 'custom_portfolio_layout', true ) ) {
	$layout = get_post_meta( get_the_ID(), 'portfolio_layout', true );
}

$gallery = get_post_meta( get_the_ID(), 'images', false );

$slides_css = 'portfolio-slides';

$size = apply_filters( 'baroque_portfolio_single_image_size', 'baroque-portfolio-single' );

$dir = '';

if ( is_rtl() ) {
	$dir = 'dir="rtl"';
}

if ( ! has_post_thumbnail() && empty( $gallery ) ) {
	return;
}

if ( $layout == '4' ) {
	return;
}

if ( $layout == '3' ) {
	$slides_css = 'portfolio-photos';
	$size       = 'baroque-portfolio-single-2';
}

?>
<div class="entry-thumbnail">
	<div class="portfolio-thumbnail-wrapper">
		<?php
		if ( $gallery ) {
			$item = array();

			foreach ( $gallery as $image ) {
				$img_name   = basename( get_attached_file( $image ) );
				$image_full = wp_get_attachment_image_src( $image, 'full' );
				$image      = wp_get_attachment_image_src( $image, $size );

				if ( $image ) {
					$item[] = sprintf(
						'<div class="item">
							<a href="%s" class="photoswipe" data-large_image_width="%s" data-large_image_height="%s"><img src="%s" alt="%s"/></a>
						</div>',
						esc_url( $image_full[0] ),
						esc_attr( $image_full[1] ),
						esc_attr( $image_full[2] ),
						esc_url( $image[0] ),
						esc_attr( $img_name )
					);
				}
			}

			echo sprintf( '<div %s class="%s ba-gallery-popup">%s</div>', $dir , esc_attr( $slides_css ), implode( '', $item ) );

		} elseif ( has_post_thumbnail() ) {
			if ( $layout == '3' ) {
				echo get_the_post_thumbnail( get_the_ID(), $size );
			} else {
				$thumbnail_url = get_the_post_thumbnail_url( get_the_ID(), 'full' );
				echo sprintf( '<div class="featured-image" style="background-image: url(%s)"></div>', esc_url( $thumbnail_url ) );
			}
		}
		?>
	</div>
</div>
